# Searches for organizations using predefined parameters Searches for organizations using predefined parameters Endpoint: POST /organizations/{tenantId}/search Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. ## Query parameters: - `exclusiveStartKey` (string) The start key for the search, for paging support - `fieldsToReturn` (string) The fields that you want to retrieve; if omitted, the entire object is returned ## Request fields (application/json): - `city` (string) City to search - `domain_name` (string) The domain name - `ids` (array) IDs to search - `name` (string) The name - `number` (array) - `state` (string) The state - `status` (array) - `type_id` (string) ## Response 200 fields (application/json): - `Items` (array) - `Items.city` (string) City to search - `Items.domain_name` (string) The domain name - `Items.id` (string) - `Items.name` (string) The name - `Items.number` (number) - `Items.state` (string) The state - `Items.status` (string) - `Items.type_id` (string) - `LastEvaluatedKey` (string) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields